Subject: Does purging work in 4.1

From: [email-masked]
Date: Thu, 14 Oct 93 17:49:03 -0400

Does PURGEing work in Postgres 4.1?

If I create a db and a relation *WITHOUT* vacuuming and do a purge,
the purge command succeeds but the backend can no longer find the
relation.

If I create a db and a relation *WITH* vacuuming and do a purge,
the purge command fails.

vacuum.c seems to be setting the pg_class.relpreserved field to an
abstime whereas the rest of the code is expecting this to be a
relative time, which would explain the latter behavior, but I don't
know what is causing the former behavior.

P.S., if I vacuum the db *after* the successfull purge, the backend
coredumps. 

---
 Robert Withrow, Tel: +1 617 598 4480, Fax: +1 617 598 4430, Net: [email-masked]
 R.W. Withrow Associates, 21 Railroad Ave, Swampscott MA 01907-1821 USA